Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.actions
Class CreateRetainedEventTypeAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.LibrarySessionAction
              oracle.ifs.admin.actions.CreateRetainedEventTypeAction

All Implemented Interfaces:
  Action, IfsParameters

    public class CreateRetainedEventTypeAction

extends LibrarySessionAction

A CreateRetainedEventTypeAction creates the database objects associated with a RetainedEvent, as part of installation and upgrade.

Field Summary
`static java.lang.String` | `RETAINEDEVENTCLASSNAME` Name of the parameter that holds on to the java class used to create the retained event type.

Fields inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`RESTART_SERVICE`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`CreateRetainedEventTypeAction()` Creates a new CreateRetainedEventTypeAction.

Method Summary
`void` | `execute(LibrarySession sess)` Executes the action.
`void` | `failed(java.lang.Throwable error)` "do nothing" implementation for failed().
`void` | `stop()` "do nothing" implementation for stop().

Methods inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`perform, setDomain, setForSchemaUpgrade, setPassword, setRestartService, setSchemaPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RETAINEDEVENTCLASSNAME

    public static final java.lang.String RETAINEDEVENTCLASSNAME

  Description copied from class: `CreateRetainedEventTypeAction`
  Name of the parameter that holds on to the java class used to create the retained event type.

  See Also:
    Constant Field Values

Constructor Detail

### CreateRetainedEventTypeAction

    public CreateRetainedEventTypeAction()

  Creates a new CreateRetainedEventTypeAction.

Method Detail

### execute

    public void execute(LibrarySession sess)
                 throws IfsException,
                        ActionFailedException

  Description copied from class: `CreateRetainedEventTypeAction`
  Executes the action.

  Specified by:
    `execute` in class `LibrarySessionAction`
  Parameters:
    `sess` - the connected LibrarySession (in admin mode if possible).
  Throws:
    `IfsException` - if a database error occurs.
    `ActionFailedException` - if any other error occurs.

### stop

    public void stop()

  Description copied from class: `CreateRetainedEventTypeAction`
  "do nothing" implementation for stop().

### failed

    public void failed(java.lang.Throwable error)

  Description copied from class: `CreateRetainedEventTypeAction`
  "do nothing" implementation for failed().

  Parameters:
    `error` - the error that occured

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD